Page MenuHomeFreeBSD

www/qutebrowser: update to 1.2.1
ClosedPublic

Authored by novel on Mar 17 2018, 5:14 PM.

Details

Summary
  • Update to 1.2.1;
  • Switch MASTER_SITE to CHEESESHOP and install documentation this distfile provides;
  • Add WebEngine backend support and drop pkg-message that tells only WebKit is supported;
  • Add missing audio/alsa-plugins dependency for sound support;
  • Drop deprecated optsuffix;
  • Install .desktop file.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

I had to install audio/alsa-plugins to get sound.

In D14723#309583, @jrm wrote:

I had to install audio/alsa-plugins to get sound.

Dependency added.

This revision is now accepted and ready to land.Mar 18 2018, 4:25 PM
Makefile
4 ↗(On Diff #40408)

With

MASTER_SITES= CHEESESHOP

we get the inline documentation pre-built (:help works).

In this case, we can remove DISTVERSION_PREFIX and USE_GITHUB.

25 ↗(On Diff #40408)

also desktop-file-utils

then

PLIST_FILES= share/applications/${PORTNAME}-${PYTHON_VER}.desktop

28 ↗(On Diff #40408)

I see a warning about optsuffix being deprecated. Can we just remove it since only python 3.5+ is supported?

38 ↗(On Diff #40408)
post-install:
	${INSTALL_DATA} ${WRKSRC}/misc/${PORTNAME}.desktop \
		${STAGEDIR}${PREFIX}/share/applications/${PORTNAME}-${PYTHON_VER}.desktop
jrm requested changes to this revision.Mar 18 2018, 8:21 PM
This revision now requires changes to proceed.Mar 18 2018, 8:21 PM
novel updated this revision to Diff 40439.
novel edited the summary of this revision. (Show Details)
novel marked 4 inline comments as done.
This revision is now accepted and ready to land.Mar 19 2018, 7:25 PM
This revision was automatically updated to reflect the committed changes.